/*
 * Copyright (c) 1989, 1993
 *	The Regents of the University of California.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. All advertising materials mentioning features or use of this software
 *    must display the following acknowledgement:
 *	This product includes software developed by the University of
 *	California, Berkeley and its contributors.
 * 4. Neither the name of the University nor the names of its contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 *	from: @(#)paths.h	8.1 (Berkeley) 6/2/93
 *	$Id: paths.h,v 1.9 1998/11/06 02:20:14 sjg Exp $
 */

#ifndef _PATHS_H_
# if defined(HAVE_PATHS_H)
/*
 * is there a better way?
 */
#   include "/usr/include/paths.h"
# endif
# ifndef _PATHS_H_
#   define	_PATHS_H_
# endif

/* Default search path. */
#ifndef _PATH_DEFPATH	
#if defined(sun) && !defined(__svr4__)
#define	_PATH_DEFPATH	"/usr/bin:/usr/ucb"
#endif
#endif

/* All standard utilities path. */
#ifndef _PATH_STDPATH
#define	_PATH_STDPATH \
	"/usr/bin:/bin:/usr/sbin:/sbin:/usr/contrib/bin:/usr/old/bin"
#endif
	
#ifndef _PATH_DEVNULL
#define	_PATH_DEVNULL	"/dev/null"
#endif
#ifndef _PATH_DRUM
#define	_PATH_DRUM	"/dev/drum"
#endif
#ifndef _PATH_KMEM
#define	_PATH_KMEM	"/dev/kmem"
#endif
#ifndef _PATH_MAN
#define	_PATH_MAN	"/usr/share/man"
#endif
#ifndef _PATH_MEM
#define	_PATH_MEM	"/dev/mem"
#endif
#ifndef _PATH_NOLOGIN
#define	_PATH_NOLOGIN	"/etc/nologin"
#endif
#ifndef _PATH_SHELLS
#define	_PATH_SHELLS	"/etc/shells"
#endif
#ifndef _PATH_TTY
#define	_PATH_TTY	"/dev/tty"
#endif

#ifndef _PATH_BINDPORT
#define _PATH_BINDPORT	"/usr/local/libexec/bindport"
#endif

#ifdef sun
/*#include <sunos.h>*/

#ifndef _PATH_DEVDB
#define	_PATH_DEVDB	"/var/run/dev.db"
#endif
#ifndef _PATH_VI
#define	_PATH_VI	"/usr/ucb/vi"
#endif
#ifndef __svr4__
#ifndef _PATH_MAILDIR
#define	_PATH_MAILDIR	"/var/spool/mail"
#endif
#ifndef _PATH_UTMP
#define _PATH_UTMP	"/etc/utmp"
#endif
#ifndef _PATH_UNIX
#define	_PATH_UNIX	"/vmunix"
#endif
#endif
#else  /* !sun */
#if defined(__hpux) || defined(__hpux__)
#if !(defined(__HPUX_VERSION) && (__HPUX_VERSION > 9))

#undef _PATH_MAN
#define	_PATH_MAN	"/usr/man"

#undef _PATH_MAILDIR
#define	_PATH_MAILDIR	"/usr/mail"

#ifndef _PATH_WTMP
#define _PATH_WTMP	"/etc/wtmp"
#endif
#ifndef _PATH_UTMP
#define _PATH_UTMP	"/etc/utmp"
#endif
#ifndef _PATH_UNIX
#define	_PATH_UNIX	"/hp-ux"
#endif
#endif
#else  /* !hpux */
/* ASSUME! 4.4BSD */
#ifndef _PATH_DEVDB
#define	_PATH_DEVDB	"/var/run/dev.db"
#endif
#ifndef _PATH_SENDMAIL
#define	_PATH_SENDMAIL	"/usr/sbin/sendmail"
#endif
#ifndef _PATH_UNIX
#define	_PATH_UNIX	"/netbsd"
#endif
#ifndef _PATH_VI
#define	_PATH_VI	"/usr/bin/vi"
#endif
#endif
#endif

/* Provide trailing slash, since mostly used for building pathnames. */
#ifndef _PATH_DEV
#define	_PATH_DEV	"/dev/"
#endif
#ifndef _PATH_TMP
#define	_PATH_TMP	"/tmp/"
#endif
#ifndef _PATH_VARDB
#define	_PATH_VARDB	"/var/db/"
#endif
#ifndef _PATH_VARRUN
#define	_PATH_VARRUN	"/var/run/"
#endif
#ifndef _PATH_VARTMP
#define	_PATH_VARTMP	"/var/tmp/"
#endif

/* these are not really universal but more common that the exceptions */

#if !defined(BSD4_4)
#ifndef _PATH_WTMP
# define _PATH_WTMP	"/var/adm/wtmp"
#endif
#ifndef _PATH_UTMP	
# define _PATH_UTMP	"/var/adm/utmp"
#endif
#ifndef _PATH_LASTLOG
# define _PATH_LASTLOG	"/var/adm/lastlog"
#endif
#endif
	
#ifndef _PATH_MAILDIR
# define _PATH_MAILDIR	"/var/mail"
#endif
#ifndef _PATH_BSHELL
# define _PATH_BSHELL	"/bin/sh"
#endif
#ifndef _PATH_CONSOLE
# define _PATH_CONSOLE	"/dev/console"
#endif
#ifndef _PATH_CSHELL
# define _PATH_CSHELL	"/bin/csh"
#endif
#ifndef _PATH_DEFPATH
# define _PATH_DEFPATH	"/usr/bin:/bin"
#endif
#ifndef _PATH_SENDMAIL
# define _PATH_SENDMAIL	"/usr/lib/sendmail"
#endif
	
#endif /* !_PATHS_H_ */

