/*
 * NAME:
 *	bsed - binary sed 
 *
 * DESCRIPTION:
 *	This is a trivial program to munge the name of some functions
 *	from libc.  If we spot and of close,read,recv,send,write we
 *	transform it to the same name with alternating UPPER/lower
 *	case and starting with lower.  The aim is to produce a
 *	function name that only we might ever use :-)
 *
 *	We can then call cLoSe(),rEaD(),rEcV(),sEnD() and wRiTe() to
 *	be sure of getting the original code and can use our own
 *	versions to provide some crypto hooks.
 *
 * AUTHOR:
 *	Simon J. Gerraty <sjg@quick.com.au>
 */
/*
 *      @(#)Copyright (c) 1996 Simon J. Gerraty.
 *      
 *      This is free software.  It comes with NO WARRANTY.
 *      Permission to use, modify and distribute this source code 
 *      is granted subject to the following conditions.
 *      1/ that the above copyright notice and this notice 
 *      are preserved in all copies and that due credit be given 
 *      to the author.  
 *      2/ that any changes to this code are clearly commented 
 *      as such so that the author does not get blamed for bugs 
 *      other than his own.
 *      
 *      Please send copies of changes and bug-fixes to:
 *      sjg@quick.com.au
 */
#ifndef lint
static char RCSid[] = "$Id: bsed.c,v 1.1 1997/04/14 15:35:26 sjg Exp $";
#endif

#include <stdio.h>
#include <sys/types.h>
#include <ctype.h>

struct subst {
	char *from;
	char *to;
};

struct subst strings[] = {
	"close", "cLoSe",
	"read", "rEaD",
	"recv", "rEcV",
	"send", "sEnD",
	"write", "wRiTe",
	0, 0
};


int
main(argc, argv)
	int argc;
	char **argv;
{
	struct subst *s;
	u_char buf[1024];
	int c,n,i,off, max, x;

	off = 0;
	max = sizeof(buf) - 1;
	while ((n = read(0, &buf[off], max)) > 0) {
		n += off;
		for (i = 0; i < n - 4; i++) {
			if (!isalpha(buf[i]) && buf[i+1] == '_') {
				i += 2;
				for (s = strings; s->from; s++) {
					x = strlen(s->from);
				
					if (memcmp(&buf[i], s->from, x + 1) == 0) {
						memcpy(&buf[i], s->to, x);
						i += x;
						fprintf(stderr, "#define HAVE_%s 1\n", s->to);
						break;
					}
				}
			}
		}
		if (n == max) {
			/* should not happen, but... */
			write(1, buf, n - 5);
			memcpy(buf, &buf[n - 5], 5);
			off = 5;
			max = sizeof(buf) - 6;
		} else {
			write(1, buf, n);
			off = 0;
			max = sizeof(buf) - 1;
		}
	}
	exit(0);
}
